> For the complete documentation index, see [llms.txt](https://api-docs.nf.domains/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.nf.domains/reference/on-chain-reference.md).

# On-Chain Reference

NFDomains .algo names are controlled by the NFD Registry Contract which controls pricing, and the minting of new NFDs. &#x20;

Each NFD is a standalone contract instance, with its own Algorand account (Vault) it controls.  The registry acts as a contract factory, creating the NFDs and acting as the registrar and registry of record.  Creation and resolving of names and addresses to names is via the registry.

The following pages provide details on the on-chain storage of NFDs and the manner in which they're located.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.nf.domains/reference/on-chain-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
